Skip to content

Create USPS SCAN Form

Request

Creates a USPS SCAN Form for the provided list of shipment tracking codes. Only applicable to shipments with valid USPS tracking numbers.
Rate limit: 60 requests per minute.

Security
ApiTokenAuth
Bodyapplication/jsonrequired
tracking_codesArray of stringsrequired

List of shipment tracking codes

POST
/api/shipments/scan-forms/create
curl -i -X POST \
  'https://api.shipsaving.com/api/shipments/scan-forms/create?api_token=YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "tracking_codes": [
      "9434611899562089592093",
      "9434611899562089592048"
    ]
  }'

Responses

Successfully retrieved manifest PDF URL

Bodyapplication/json
urlstring, (uri)

Manifest URL to the SCAN Form document (PDF)

Response
{ "url": "https://...../forms/2024-11-01/12345667.pdf" }